using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Soap;

namespace Serial1
{
  [Serializable]
  public class MyObject
  {
    public int n1 = 0;
    public int n2 = 0;
    public string str = null;
  }

  class Program
  {
    static void Main(string[] args)
    {
      MyObject obj1 = new MyObject();
      obj1.n1 = 1;
      obj1.n2 = 24;
      obj1.str = "Hallo, liebe Webcast'ler!";

      IFormatter formatterOut = new SoapFormatter();
      Stream streamOut = new FileStream("Test.bin", FileMode.Create, FileAccess.Write, FileShare.None);
      formatterOut.Serialize(streamOut, obj1);
      streamOut.Close();

      IFormatter formatterIn = new SoapFormatter();
      Stream streamIn = new FileStream("Test.bin", FileMode.Open, FileAccess.Read, FileShare.Read);
      MyObject obj2 = (MyObject)formatterIn.Deserialize(streamIn);
      streamIn.Close();

      Console.WriteLine("n1    : {0}", obj2.n1);
      Console.WriteLine("n2    : {0}", obj2.n2);
      Console.WriteLine("string: {0}", obj2.str);
    }
  }
}
