using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace WriteFiles
{
  class Program
  {
    static void Main(string[] args)
    {
      Console.Write("Verzeichnis: ");
      string strDir = Console.ReadLine();

      if (strDir == string.Empty)
        return;

      string strFull = Path.Combine(strDir, "Files.txt");

      StreamWriter sw = null;

      try
      {
        sw = new StreamWriter(strFull);

        DirectoryInfo di = new DirectoryInfo(strDir);
        FileInfo[] arrFiles = di.GetFiles();

        foreach (FileInfo fi in arrFiles)
        {
          sw.WriteLine(fi.FullName);
        }
      }
      catch (Exception ex)
      {
        Console.WriteLine("Fehler: " + ex.Message);
      }
      finally
      {
        sw.Close();
      }
    }
  }
}
