using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml.Serialization;

namespace Serial1
{
  [Serializable]
  public class MyObject
  {
    public int n1 = 0;
    public int n2 = 0;
    public string str = null;
  }

  class Program
  {
    static void Main(string[] args)
    {
      MyObject obj1 = new MyObject();
      obj1.n1 = 1;
      obj1.n2 = 24;
      obj1.str = "Hallo, liebe Webcast'ler!";

      XmlSerializer serialOut = new XmlSerializer(typeof(MyObject));
      StreamWriter sw = new StreamWriter("Test.xml");
      serialOut.Serialize(sw, obj1);
      sw.Close();

      MyObject obj2;
      XmlSerializer serialIn = new XmlSerializer(typeof(MyObject));
      FileStream fs = new FileStream("Test.xml", FileMode.Open);
      obj2 = (MyObject)serialIn.Deserialize(fs);

      Console.WriteLine("n1    : {0}", obj2.n1);
      Console.WriteLine("n2    : {0}", obj2.n2);
      Console.WriteLine("string: {0}", obj2.str);
    }
  }
}
