using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;

namespace Serial1
{
  [Serializable]
  public class MyObject
  {
    public int n1 = 0;
    public int n2 = 0;
    public string str = null;
  }

  class Program
  {
    static void Main(string[] args)
    {
      MyObject[] arrObj1 = new MyObject[100];

      for (int i = 0; i < 100; i++)
      {
        MyObject obj1 = new MyObject();
        obj1.n1 = i;
        obj1.n2 = 100 - i;
        obj1.str = "Hallo, liebe Webcast'ler!";
        arrObj1[i] = obj1;
      }

      IFormatter formatterOut = new BinaryFormatter();
      Stream streamOut = new FileStream("Test.bin", FileMode.Create, FileAccess.Write, FileShare.None);
      formatterOut.Serialize(streamOut, arrObj1);
      streamOut.Close();

      IFormatter formatterIn = new BinaryFormatter();
      Stream streamIn = new FileStream("Test.bin", FileMode.Open, FileAccess.Read, FileShare.Read);
      MyObject[] arrObj2 = (MyObject[])formatterIn.Deserialize(streamIn);
      streamIn.Close();

    }
  }
}
