using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace VersionTest
{
  class Program
  {
    static void Main(string[] args)
    {
      FileVersionInfo fvi = FileVersionInfo.GetVersionInfo("Version.exe");

      Version v1 = new Version(1, 2, 1, 0);
      Version v2 = new Version(fvi.FileVersion);

      if (v2 >= v1)
      {
        Console.WriteLine("Correct Version!");
      }

      Console.WriteLine("Version: {0}", fvi.FileVersion);
      Console.WriteLine("Name: {0}", fvi.InternalName);
    }
  }
}
